<p>bike-update works!</p>

<form [formGroup]="formBikeUpdate" (ngSubmit)="update()">
    <div>
        <label for="">Model</label>
        <input formControlName="model" type="text">
        <div *ngIf="formBikeUpdate.get('model').invalid && (formBikeUpdate.get('model').dirty || formBikeUpdate.get('model').touched ) ">
            <div *ngIf="formBikeUpdate.get('model').errors.required">
                <p>El campo es requerido</p>

            </div>

        </div>
    </div>
    <div>
        <label for="">Price</label>
        <input formControlName="price" type="text">
    </div>
    <div>
        <label for="">Serial</label>
        <input formControlName="serial" type="text">
    </div>

    <button type="submit" [disabled]="formBikeUpdate.invalid">Guardar</button>


</form>